:root {
  --primarycolor: rgb(161, 0, 51);
  --secondarycolor: rgb(199, 139, 70);

  p {
    text-align: center;
  }

@font-face {
  font-family: "avenir-next-demi";
  src: url(/fonts/avenir-next-demi.woff2) format ("woff2");
}

  h1,
  h2,
  h3,
  h4,
  h5,
  h6 {
    font-family: "avenir-next-demi";
    text-align: center;
  }
}

@font-face {
  font-family: "avenir-next-condensed-regular";
  src: url(/fonts/avenir-next-condensed-regular.woff2) format("woff2");
}

body {
  font-family: "avenir-next-condensed-regular";
  margin: 0;
  overflow-x: hidden;
}

header img {
  width: 100%;
  height: 100vh;
  object-fit: cover;
}

header .mobile-header {
  display: block;
}

header .desktop-header {
  display: none;
}

@media (min-width: 1000px) {
  header .mobile-header {
    display: none;
  }

  header .desktop-header {
    display: block;
  }
}

header p {
  color: white;
  font-size: 50px;
  padding-top: 400px;
  padding-left: 400px;
  transform: rotate(-20deg);
  margin-top: 0px;
}

.header-link {
  text-decoration: none;
  color: inherit;
  display: block;
}

header h1 {
  color: white;
  padding-top: 250px;
  padding-left: 50px;
}

a {
  color: black;
  text-decoration: none;
}

a:hover {
  color: var(--primarycolor);
}

footer {
  padding-top: 20px;
  display: flex;
  justify-content: space-between;
  font-size: small;
  flex-direction: column;
}

@media (min-width: 600px) {
  footer {
    flex-direction: row;
  }
}

.topbar {
  background-color: var(--primarycolor);
  text-align: center;
  color: white;
  position: absolute;
  top: 0;
  width: 100%;
}

.topbar h4 {
  padding: 0 16px;
}

.hero {
  width: 100%;
  text-align: center;
}

.hero-1 {
  display: flex;
  justify-content: space-evenly;
  flex-direction: column;
  gap: 20px;
  align-items: center;
  padding: 50px;
}

@media (min-width: 600px) {
  .hero-1 {
    flex-direction: row;
    gap: 0;
  }
}

.logo-animation {
  opacity: 0;
  transform: translateX(-500px) rotate(-360deg);
  will-change: transform, opacity;
}
.logo-animation-2 {
  opacity: 0;
  transform: translateX(500px) rotate(360deg);
  will-change: transform, opacity;
}

.button-navigation {
  margin: 0 auto;
  text-decoration: none;
  color: white;
  background-color: var(--primarycolor);
  border: 1px solid var(--primarycolor);
  border-radius: 20px;
  padding: 10px;
  cursor: pointer;
}

.button-navigation:hover {
  background-color: white;
  color: var(--primarycolor);
}

.hero-2 {
  display: flex;
  flex-direction: column;
  gap: 20px;
  justify-content: space-evenly;
  align-items: center;
  padding: 50px;
}

@media (min-width: 600px) {
  .hero-2 {
    flex-direction: row-reverse;
    gap: 0;
  }
}

.hero-button {
  width: 200px;
}

.hero-3 {
  margin-top: 100px;
  display: flex;
  flex: 1 3;
  justify-content: space-evenly;
}

.hero-3 content {
  flex-direction: column;
}

.partner {
  background-color: lightgray;
  padding: 50px;
}

.partner-logo {
  display: flex;
  justify-content: space-around;
  flex-direction: column;
}

.partner-logo img {
  align-self: center;
}

@media (min-width: 700px) {
  .partner-logo {
    flex-direction: row;
  }
}

.footer-left {
  text-align: center;
}

.footer-center {
  text-align: center;
  margin-top: 10px;
}

.footer-right {
  text-align: center;
}

.footer-right li {
  text-align: center;
  list-style-type: none;
  padding: 5px;
}

.footer-right ul {
  padding-left: 0;
}

.copyright,
.copyright-mobile {
  text-align: center;
  font-size: small;
}

.copyright {
  display: none;
}

@media (min-width: 600px) {
  .copyright {
    display: block;
  }

  .copyright-mobile {
    display: none;
  }
}

button {
  color: white;
  background-color: var(--primarycolor);
  border: 1px solid var(--primarycolor);
  border-radius: 20px;
  padding: 5px;
  min-width: 50px;
  cursor: pointer;
}

.cards {
  margin-top: 50px;
  display: flex;
  gap: 20px;
  flex-direction: column;
  justify-content: space-evenly;
  width: 100%;
}

.card {
  background-color: lightgrey;
  padding: 20px;
  border-radius: 20px;
  height: auto;
  position: relative;
  display: flex;
  flex-direction: column;
}

.card ul {
  align-self: center;
}

@media (min-width: 750px) {
  .cards {
    flex-direction: row;
  }
  .card {
    height: 250px;
  }
}

.card-group {
  display: flex;
  flex-direction: column;
  gap: 20px;
}

/* Details section */

.cards .detail-card {
  flex: 1;
  padding: 20px;
  border-radius: 20px;
}

.cards .detail-card {
  display: flex;
  flex-direction: column;
}

.cards .detail-card button {
  width: 60px;
  align-self: center;
}

.cards .detail-card:has(.show) {
  background-color: lightgrey;
}

.cards button {
  padding: 5px 8px;
}

.cards .details {
  visibility: hidden;
  height: 0;
  align-self: center;
}

.cards .details.show {
  visibility: visible;
  height: auto;
}

/* -- */

.icon {
  width: 15px;
  height: 15px;
  padding-right: 10px;
}

.card h4,
h5 {
  text-align: center;
}

.select {
  margin-top: 50px;
  text-align: center;
}

.select h3 {
  padding-right: 50px;
  display: inline;
  padding-right: 0;
}

.select-container {
  display: flex;
  justify-content: center;
  flex-direction: column;
}

@media (min-width: 650px) {
  .select-container {
    flex-direction: row;
  }
  .select h3 {
    padding-right: 24px;
  }
}

.select-buttons {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 8px;
  flex-wrap: wrap;
}

.select-button {
  color: white;
  background-color: var(--primarycolor);
  border: 1px solid var(--primarycolor);
  border-radius: 20px;
  padding: 10px;
  min-width: 50px;
  max-height: 20px;
  cursor: pointer;
}

.select-button:hover {
  color: var(--primarycolor);
  background-color: white;
}

.active {
  color: var(--primarycolor);
  background-color: white;
}

.price {
  background-color: var(--primarycolor);
  color: white;
  border: 1px solid var(--primarycolor);
  border-radius: 20px;
  width: 100px;
  padding: 10px;
  display: block;
  margin: 0 auto;
}

@media (min-width: 750px) {
  .price {
    position: absolute;
    bottom: 16px;
    left: 50%;
    transform: translate(-50%, 0);
  }
}

.buchen {
  margin-bottom: 50px;
}

.faq {
  background-color: var(--primarycolor);
  color: white;
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
  align-items: center;
  width: 100%;
  margin-bottom: 50px;
}

.faq .question-box {
  flex: 1;
  display: flex;
  flex-direction: column;
}

.faq .details {
  visibility: hidden;
  height: 0;
}

.faq .details.show {
  visibility: visible;
  height: auto;
  padding: 20px;
}

.arrow {
  border: solid white;
  border-width: 0 3px 3px 0;
  display: inline-block;
  padding: 3px;
  margin-right: 9px;
  transform: rotate(45deg);
}

.about-1,
.about-2 {
  padding: 25px;
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
  align-items: center;
  gap: 25px;
  justify-content: center;
  text-align: center;
}

@media (min-width: 480px) {
  .about-1 {
    flex-direction: row;
  }

  .about-2 {
    flex-direction: row-reverse;
  }

  .about-1 img,
  .about-2 img {
    max-width: 50%;
    max-height: auto;
    object-fit: contain;
    border-radius: 15px;
  }
}

.about-1 img,
.about-2 img {
  width: 100%;
  max-height: auto;
  object-fit: contain;
  border-radius: 15px;
}

.instagram {
  padding-top: 10px;
  margin-bottom: 0px;
}

.booking {
  margin-bottom: 50px;
}

.content {
  margin: 25px;
}
